#include <errno.h>
#include <unistd.h>
#include <termios.h>
#include <stdio.h>
#include "hsshellscript.h"

int hsshellscript_get_errno(void)
{
  return errno;
}

char* hsshellscript_get_realpath(char* path)
{
  static char tmp[PATH_MAX+1];
  return realpath(path, tmp);
}

char* hsshellscript_get_readlink(char* path)
{
  static char tmp[PATH_MAX+1];
  int count = readlink(path, tmp, PATH_MAX);
  if (count == -1) return 0;
  tmp[count] = 0;
  return tmp;
}
